#include<iostream>
using namespace std;
int arr[10000000];
int main(){
    int n;
    cin>>n;
    if(n<2){
        cout<<"-1";
        return 0;
    }
    if(n%2!=0){
        cout<<"7";
        n-=3;
        n/=2;
        for(int i=0;i<n;i++){
            cout<<"1";
        }
        cout<<endl;
    }else{
        n/=2;
        for(int i=0;i<n;i++){
            cout<<"1";
        }
        cout<<endl;
    }

}

